# $Revision: 1.34.2.2 $, $Date: 2006/12/13 19:26:05 $
#
# Conditional build:
%bcond_with	pie	# auditd as PIE binary
%bcond_without	python	# don't build python bindings
#
Summary:	User space tools for 2.6 kernel auditing
Summary(pl):	Narzdzia przestrzeni uytkownika do audytu jder 2.6
Name:		audit
Version:	1.3.1
Release:	2
License:	GPL
Group:		Daemons
Source0:	http://people.redhat.com/sgrubb/audit/%{name}-%{version}.tar.gz
# Source0-md5:	a23590084cea1b8b73c50830abc56b22
# formerly http://people.redhat.com/sgrubb/audit/audit.h
Source1:	%{name}.h
Source2:	%{name}d.init
Source3:	%{name}d.sysconfig
Patch0:		%{name}-swig-fix.patch
Patch1:		%{name}-install.patch
URL:		http://people.redhat.com/sgrubb/audit/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
%{?with_pie:BuildRequires:	gcc >= 5:3.4}
BuildRequires:	glibc-headers >= 6:2.3.6
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	linux-libc-headers >= 2.6.11
%if %{with python}
BuildRequires:	rpm-pythonprov
BuildRequires:	swig-python
%else
BuildRequires:	sed >= 4.0
%endif
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	%{name}-libs = %{version}-%{release}
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
The audit package contains the user space utilities for storing and
processing the audit records generate by the audit subsystem in the
Linux 2.6 kernel.

%description -l pl
Ten pakiet zawiera narzdzia przestrzeni uytkownika do przechowywania
i przetwarzania rekordw audytu generowanych przez podsystem audytu w
jdrach Linuksa 2.6.

%package libs
Summary:	Dynamic audit libraries
Summary(pl):	Biblioteki dynamiczne audit
License:	LGPL
Group:		Libraries

%description libs
The audit-libs package contains the dynamic libraries needed for
applications to use the audit framework.

%description libs -l pl
Ten pakiet zawiera biblioteki dynamiczne potrzebne dla aplikacji
uywajcych rodowiska audytu.

%package libs-devel
Summary:	Header files for audit libraries
Summary(pl):	Pliki nagwkowe bibliotek audit
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	linux-libc-headers >= 7:2.6.12.0-4

%description libs-devel
The audit-libs-devel package contains the header files needed for
developing applications that need to use the audit framework library.

%description libs-devel -l pl
Ten pakiet zawiera pliki nagwkowe potrzebne do tworzenia aplikacji
uywajcych biblioteki rodowiska audytu.

%package libs-static
Summary:	Static audit libraries
Summary(pl):	Statyczne biblioteki audit
License:	LGPL
Group:		Development/Libraries
Requires:	%{name}-libs-devel = %{version}-%{release}

%description libs-static
The audit-libs-static package contains the static libraries for
developing applications that need to use the audit framework.

%description libs-static -l pl
Ten pakiet zawiera statyczne biblioteki do tworzenia aplikacji
uywajcych rodowiska audytu.

%package -n python-audit
Summary:	Python interface to libaudit library
Summary(pl):	Pythonowy interfejs do biblioteki libaudit
License:	LGPL
Group:		Libraries/Python
Requires:	%{name}-libs = %{version}-%{release}

%description -n python-audit
Python interface to libaudit library.

%description -n python-audit -l pl
Pythonowy interfejs do biblioteki libaudit.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

install -D %{SOURCE1} lib/linux/audit.h
install -D %{SOURCE1} src/mt/linux/audit.h

%if !%{with python}
sed '/PYTHON/d; s#swig/Makefile ##' -i configure.ac
sed 's/swig//' -i Makefile.am
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--with-apparmor
# override auditd_{C,LD}FLAGS to avoid -fPIE unsupported by gcc 3.3
%{__make} \
	%{!?with_pie:auditd_CFLAGS="-D_REENTRANT -D_GNU_SOURCE" auditd_LDFLAGS="-Wl,-z,relro"}

# temporarily not included in all
%{__make} -C auparse

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_var}/log/audit

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# temporarily not included in all
%{__make} -C auparse install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/%{_lib}
mv -f $RPM_BUILD_ROOT%{_libdir}/libaudit.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libaudit.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libaudit.so
mv -f $RPM_BUILD_ROOT%{_libdir}/libauparse.so.* $RPM_BUILD_ROOT/%{_lib}
ln -sf /%{_lib}/$(cd $RPM_BUILD_ROOT/%{_lib} ; echo libauparse.so.*.*.*) \
	$RPM_BUILD_ROOT%{_libdir}/libauparse.so

# We manually install this since Makefile doesn't
install -d $RPM_BUILD_ROOT%{_includedir}
install lib/libaudit.h $RPM_BUILD_ROOT%{_includedir}

install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/auditd
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/auditd

%if %{with python}
if [ "%{py_sitedir}" != "/usr/lib/python2.4/site-packages" ]; then
install -d $RPM_BUILD_ROOT%{py_sitedir}
mv $RPM_BUILD_ROOT/usr/lib/python2.4/site-packages/* $RPM_BUILD_ROOT%{py_sitedir}
fi
%py_comp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitescriptdir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}
%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
rm -f $RPM_BUILD_ROOT%{py_sitescriptdir}/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.py
rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{la,a}
%else
rm -r $RPM_BUILD_ROOT/usr/lib/python2.4
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%post
/sbin/chkconfig --add auditd
%service auditd restart "audit daemon"

%preun
if [ "$1" = "0" ]; then
	%service auditd stop
	/sbin/chkconfig --del auditd
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README THANKS TODO sample.rules
%attr(750,root,root) %{_sbindir}/auditctl
%attr(750,root,root) %{_sbindir}/auditd
%attr(750,root,root) %{_sbindir}/aureport
%attr(750,root,root) %{_sbindir}/ausearch
%attr(750,root,root) %{_sbindir}/autrace
%attr(754,root,root) /etc/rc.d/init.d/auditd
%dir %{_sysconfdir}/audit
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audit/auditd.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/audit/audit.rules
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/auditd
%attr(750,root,root) %dir %{_var}/log/audit
%{_mandir}/man8/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) /%{_lib}/libaudit.so.*.*.*
%attr(755,root,root) /%{_lib}/libauparse.so.*.*.*
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/libaudit.conf

%files libs-devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libaudit.so
%attr(755,root,root) %{_libdir}/libauparse.so
%{_libdir}/libaudit.la
%{_libdir}/libauparse.la
%{_includedir}/libaudit.h
%{_mandir}/man3/*

%files libs-static
%defattr(644,root,root,755)
%{_libdir}/libaudit.a
%{_libdir}/libauparse.a

%if %{with python}
%files -n python-audit
%defattr(644,root,root,755)
%attr(750,root,root) %{_sbindir}/audispd
%attr(755,root,root) %{py_sitedir}/_audit.so
%{py_sitescriptdir}/audit.py[co]
%{py_sitedir}/AuditMsg.py[co]
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: audit.spec,v $
Revision 1.34.2.2  2006/12/13 19:26:05  arekm
- rel 2; enable apparmor events

Revision 1.34.2.1  2006/12/13 10:19:08  arekm
- without pie for AC

Revision 1.34  2006/12/12 00:44:32  arekm
- up to 1.3.1

Revision 1.33  2006/12/05 15:32:25  arekm
- up to 1.3

Revision 1.32  2006/11/13 14:53:20  sparky
- don't use %{without ...}, it may not work after inverting bcond

Revision 1.31  2006/10/27 22:11:44  qboosh
- updated to 1.2.9

Revision 1.30  2006/09/13 15:47:26  sparky
- reverted last change (/usr/lib/python2.4/site-packages is a hardcoded path)
- move *.py to correct place if %{py_sitedit} does not match (not tested)

Revision 1.29  2006/09/13 15:18:20  glen
- lib64 safe

Revision 1.28  2006/09/13 15:13:18  sparky
- remove /usr/lib/python2.4 if built without python to prevent dependancy
  checking
- audispd moved to python subpackage (it's a python script and requires
  AuditMsg module)

Revision 1.27  2006/09/12 18:25:49  qboosh
- updated to 1.2.6, updated swit-fix patch, added install patch

Revision 1.26  2006/06/08 12:54:14  sparky
- added without python bcond

Revision 1.25  2006/04/17 17:26:10  qboosh
- updated -libs* descs (more than one lib now)

Revision 1.24  2006/04/17 15:12:36  qboosh
- updated to 1.2

Revision 1.23  2006/03/12 08:49:52  qboosh
- updated non-PIE auditd flags

Revision 1.22  2006/03/10 22:51:39  qboosh
- updated to 1.1.5; builds fine with glibc 2.3.6

Revision 1.21  2006/02/24 15:20:04  glen
- use %service

Revision 1.20  2006/02/23 00:31:48  glen
- proper epoch

Revision 1.19  2006/02/23 00:11:30  wolvverine
- add BR

Revision 1.18  2006/02/11 19:12:24  pluto
- BR: swig-python.

Revision 1.17  2006/02/11 15:03:12  qboosh
- updated to 1.1.4

Revision 1.16  2006/02/05 18:16:16  qboosh
- updated to 1.1.3, make audit.pyo

Revision 1.15  2006/01/10 17:49:15  heretyk
- added patch that fixes python module
- install compiled python module
- rel. 0.2

Revision 1.14  2005/12/18 23:22:15  qboosh
- package python module
- added missing version information to previous commit message

Revision 1.13  2005/12/14 01:24:32  wolvverine
- new version
  [1.1.2]

Revision 1.12  2005/12/12 13:44:45  glen
- adapterized (sorted %verify attrs)

Revision 1.11  2005/10/28 18:51:55  qboosh
- updated to 1.0.8
- pie as bcond

Revision 1.10  2005/10/03 19:03:22  qboosh
- one verify() is enough

Revision 1.9  2005/10/03 18:59:30  darekr
- %verify() for config files

Revision 1.8  2005/10/03 18:38:51  qboosh
- build PIE after Ac

Revision 1.7  2005/09/28 15:47:42  pluto
- fix x86-64 build.

Revision 1.6  2005/08/28 15:21:17  qboosh
- fixed libaudit.so symlink
- replace init/sysconfig with our versions
- -devel R: llh with audit update
- release 1

Revision 1.5  2005/08/28 13:26:36  qboosh
- updated to 1.0.3

Revision 1.4  2005/06/17 22:06:19  qboosh
- added missing update info to last commit message

Revision 1.3  2005/06/17 22:05:47  qboosh
- updated to 0.9.7
- use updated <linux/audit.h>, builds now

Revision 1.2  2005/06/11 19:20:16  qboosh
- updated to 0.9.4 (still doesn't build on llh)

Revision 1.1  2005/06/05 20:49:39  qboosh
- new; spec rewritten from one included with package
- needs build fixes for current llh
